be.ehealth.businessconnector.addressbook.session

## Interface AddressbookSessionService

- All Known Implementing Classes:
    AddressbookSessionServiceImpl

      public interface AddressbookSessionService

  Interface for all Addressbook services Default impl : `AddressbookSessionServiceImpl` Factory : `AddressbookSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(GetOrganizationContactInfoRequest request)`
    `GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(GetProfessionalContactInfoRequest request)`
    `SearchOrganizationsResponse` | `searchOrganizations(SearchOrganizationsRequest request)`
    `SearchProfessionalsResponse` | `searchProfessionals(SearchProfessionalsRequest request)`

- - ### Method Detail

    - #### getOrganizationContactInfo

          GetOrganizationContactInfoResponse getOrganizationContactInfo(GetOrganizationContactInfoRequest request)
                                                                 throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getProfessionalContactInfo

          GetProfessionalContactInfoResponse getProfessionalContactInfo(GetProfessionalContactInfoRequest request)
                                                                 throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchOrganizations

          SearchOrganizationsResponse searchOrganizations(SearchOrganizationsRequest request)
                                                   throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchProfessionals

          SearchProfessionalsResponse searchProfessionals(SearchProfessionalsRequest request)
                                                   throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.